| Qore Programming Language Reference Manual 2.2.0

Loading...
Searching...
No Matches
Variables
Terminal Attribute Local Mode Constants

## Variables
const | Qore::ALTWERASE = ALTWERASE
| use alternate WERASE algorithm
const | Qore::ECHO = ECHO
| enable echoing
const | Qore::ECHOCTL = ECHOCTL
| echo control chars as ^(Char)
const | Qore::ECHOE = ECHOE
| visually erase chars
const | Qore::ECHOKE = ECHOKE
| visual erase for line kill
const | Qore::ECHONL = ECHONL
| echo NL even if ECHO is off
const | Qore::ECHOPRT = ECHOPRT
| visual erase mode for hardcopy
const | Qore::EXTPROC = EXTPROC
| external processing
const | Qore::FLUSHO = FLUSHO
| output being flushed (state)
const | Qore::ICANON = ICANON
| canonicalize input lines
const | Qore::IEXTEN = IEXTEN
| enable DISCARD and LNEXT
const | Qore::ISIG = ISIG
| enable signals INTR, QUIT, [D]SUSP
const | Qore::NOFLSH = NOFLSH
| don't flush after interrupt
const | Qore::NOKERNINFO = NOKERNINFO
| no kernel output from VSTATUS
const | Qore::PENDIN = PENDIN
| retype pending input (state)
const | Qore::TOSTOP = TOSTOP
| stop background jobs from output

## Detailed Description

If any of the constants in this group is not defined on the host system, then it will be assigned to 0 in Qore.